User visible changes in the firmware version 3.5.5 since version 3.5.4.

                             Highlights.

1. Minor bugs has been fixed in ghost satellites detection.

2. Minor bugs has been fixed - wrong SS=18 sometimes occurred at the
   beginning of tracking of satellites.

3. /par/pos/grid/USER: the range for 'falseE' and 'falseN' fields has
   been increased to [-1e9,+1e9], to support conventions that put UTM
   zone in front of Easting, like falseE=32500000, where 32 is UTM
   zone number.

4. Fixed problem: at 100Hz of operation, USB exchange sometimes caused
   drops of SVs.

5. RTCM3 messages type 1045 (F/NAV ephemeris of Galileo) has been modified,
   RTCM3 messages type 1046 (I/NAV ephemeris of Galileo) has been removed and
   RTCM3 messages type 1044 (NAV ephemeris of QZSS) has been added
   to correspond to RTCM 10403.2 amendment 1 and 2 documents.

6. Application of SAIF corrections for wide-area code differential mode is now
   separate (from other SBAS-like corrections) sub-mode.
   Corresponding modifications of "/par/pos/wd/type" parameter has been done.

7. INAV data collection from GALILEO E5B and altBoc signals was implemented.

8. Possible huge jump of BeiDou pseudorange in low C/NO conditions was fixed.

9. Carrier multipath reduction support was improved.

10. Fixed exception when using GyrAnt (caused by IMU support).

11. PTP v2 was implemented

12. PTP two-step mode for receivers with PTP-aware PHY was
    implemented.

13. TRIUMPH-1: support for external UHF radio modems via serial and
    Bluetooth ports was implemented. (Supported external radios:
    HPT435BT, AW435BT, HPT404BT, AW400BT, HPT401BT BAT, AW401BT BAT
    AW401BT, JLink Lite)

14. Estimation of GALILEO system time scale has been improved.

15. Fixed rare exception which may happen during BeiDou GEO satellites
    tracking in case WAAS option is not purchased.

16. HTTP: loosen access control for files downloading (to support next
    WWW interface features).

17. HTTP: support non-ASCII file names for downloading.

18. [DP] message: 'edop'  field added.

19. A case of automatic creation of non-consecutive file names has been
    eliminated.

20. UHF: support for TT450S(HW), Trimmark3, and Trimmark ll/lle
    protocols implemented.

21. Imported new antenna database from NGS: <NGS-14/02/26=475>

22. TRE_G3TH rev5: initial oscillator offset has been tuned.


                      More Detailed Description
                (refer to GREIS for even more details)


                             1. Messages.

1.1  [DP]: 'edop'  field added.

struct Dops {18} {
  f4 hdop; // Horizontal dilution of precision (HDOP)[]
  f4 vdop; // Vertical dilution of precision (VDOP) []
  f4 tdop; // Time dilution of precision (TDOP) []
  u1 solType; // Solution type
  f4 edop  // East dilution of precision (eDOP) []
  u1 cs;   // Checksum
};

                             2. Parameters.

2.1 Parameters "/par/pos/wd/type" has been modified for new separate
    type of wide-area code differential corrections.

Name:    /par/pos/wd/type
Access:  rw
Type:    enumerated
Values:  sbas,saif,comp
Default: sbas

This parameter selects the type of usable wide-area corrections.

2.2. New parameters to support PTP v2.

PTP Version

Name:    /par/net/ptp/ver
Access:  rw
Type:    integer
Values:  1,2
Default: 1

The PTP version specified by this parameter will be activated on the
next reboot of receiver.

PTP Version Currently in Use.

Name:    /par/net/ptp/stat/ver
Access:  r
Type:    integer
Values:  1,2

PTP version currently in use. This could differ from /par/net/ptp/ver
when those was changed, but receiver was not yet reboot.

PTP One Step

Name:    /par/net/ptp/one_step
Access:  rw
Type:    boolean
Values:  on,off
Default: on

NOTE: for receivers with no PTP-aware PHY this parameter is set to
'off' by default and can't be changed.

on  - PTP one-step mode is active. I.e., SYNC packet has its own
      time-stamp, and no FOLLOW-UP packets are sent.

off - PTP two-step mode is active. I.e., FOLLOW_UP packet has time
      stamp for previous SYNC packet.

2.3 Modem 'port' parameter made writable for TRIUMPH-1 to support
    external modems.

Receiver Port the Modem is Connected to

Name:    /par/modem/X/port (X=[a…d])
Access:  rw
Type:    string
Values:  /dev/ser/x or /dev/blt/x
Default: /dev/ser/X

This parameter specifies the name of the serial port to which the
modem is connected.

NOTE: for all receivers but TRIUMPH-1 this parameter is read-only.

2.4  Increased range of parameter: UHF Modem Output Power

Name:      /par/modem/X/uhf/link/pwr (X=[a…d])
Access:    rw
Type:      integer [dBm]
Values:    [15…46]
Default:   30

2.5 New parameter: FH Modem Model

Name:      /par/modem/X/fh/inf/model (X=[a…d])
Access:    r
Type:      string[0…32]
Values:    "unknown"

2.5 UHF parameters

Modification: Protocol type parameter /par/modem/x/uhf/link/prot
a) New value: "tt450shwrx" - TT450S(HW) Receiver Protocol
              "tt450shwtx" - TT450S(HW) Transmitter Protocol
              "trmm3rx" - Trimmark3 Receiver Protocol
              "trmm3tx" - Trimmark3 Transmitter Protocol
              "trmm2rx" - Trimmark ll/lle Receiver Protocol
              "trmm2tx" - Trimmark ll/lle Transmitter Protocol

New parameters:

Name:        /par/modem/x/uhf/link/protst/tt450shw/mod
Access:      rw
Type:        enumerated
Value:       gmsk
Default:     gmsk
Description: The modulation type for TT450S(HW) Protocol.

Name:        /par/modem/x/uhf/link/protst/tt450shw/space
Access:      rw
Type:        enumerated
Value:       12500 | 25000
Default:     25000
Description: The channel spacing for TT450S(HW) Protocol.

Name:        /par/modem/x/uhf/link/protst/trmm3/mod
Access:      rw
Type:        enumerated
Value:       gmsk
Default:     gmsk
Description: The modulation type for Trimmark3 Protocol.

Name:        /par/modem/x/uhf/link/protst/trmm3/space
Access:      rw
Type:        enumerated
Value:       12500 | 25000
Default:     25000
Description: The channel spacing for Trimmark3 Protocol.

Name:        /par/modem/x/uhf/link/protst/trmm2/mod
Access:      rw
Type:        enumerated
Value:       gmsk
Default:     gmsk
Description: The modulation type for Trimmark ll/lle Protocol.

Name:        /par/modem/x/uhf/link/protst/trmm2/space
Access:      rw
Type:        enumerated
Value:       12500 | 25000
Default:     25000
Description: The channel spacing for Trimmark ll/lle Protocol.

Name:        /par/modem/x/uhf/link/protst/stl/cmpt
Access:      rw
Type:        enumerated
Value:       3as | easy
Default:     3as
Description: The compatibility parameter with Satel 3AS or Satel Easy modems.

                             3. Options.

No changes.

                             4. Commands.

No changes.

<END>
